# coding: utf-8
# frozen_string_literal: true

TelegramWebProxy::PageFetcher = Struct.new(:url) do
  HTTP_USER_AGENT = 'ELinks/0.13.GIT (textmode; Linux 2.6.29 i686; 119x51-2)'

  def get
    RestClient.get(url, user_agent: HTTP_USER_AGENT)
  end

  def post(data)
    RestClient.post(url, data, user_agent: HTTP_USER_AGENT)
  end
end
